%define name gnokii
%define version 0.3.4
%define release 1mdk

Summary: Linux/Unix tool suite for Nokia mobile phones
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Url: http://www.gnokii.org
Group: Communications
Source0: %{name}-%{version}.tar.bz2
Source1: xgnokii.png.bz2
Source2: xgnokii16.png.bz2
Source3: xgnokii32.png.bz2
Source4: xgnokii48.png.bz2
Source5: xgnokii64.png.bz2
BuildRoot: %_tmppath/%{name}-buildroot

%description
Gnokii is a Linux/Unix tool suite and (eventually) modem/fax driver for
Nokia's mobile phones, released under the GPL.

%package xgnokii
Summary: Graphical Linux/Unix tool suite for Nokia mobile phones.
Group: Communications

%description xgnokii
Xgnokii is graphical Linux/Unix tool suite for Nokia's mobile phones. It
allows you to edit your contacts book, send/read SMS's from/in
computer and more other features.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure --with-x --enable-nls --enable-security #--enable-debug --enable-rlpdebug

%make

%install

%makeinstall

mkdir -p ${RPM_BUILD_ROOT}/etc/

sed 's#/usr/local/sbin/#/usr/sbin/#' <Docs/sample/gnokiirc >${RPM_BUILD_ROOT}/etc/gnokiirc

mkdir -p $RPM_BUILD_ROOT/usr/share/icons
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps

bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/share/icons/xgnokii.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps/xgnokii16.png
mv $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps/xgnokii16.png \
	$RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps/xgnokii.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/xgnokii32.png
mv $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/xgnokii32.png \
	$RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/xgnokii.png
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/xgnokii48.png
mv $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/xgnokii48.png \
	$RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/xgnokii.png
bzcat %{SOURCE5} > $RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps/xgnokii64.png
mv $RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps/xgnokii64.png \
	$RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps/xgnokii.png


(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/gnokii-xgnokii <<EOF
?package(gnokii-xgnokii):\
command="/usr/X11R6/bin/xgnokii"\
title="XGnokii"\
longtitle="Tool suite for Nokia mobile phones"\
needs="x11"\
icon="xgnokii.png"\
section="Office/Accessories"
EOF
)

%find_lang %name

%pre
/usr/sbin/groupadd -r -f gnokii >/dev/null 2>&1

%postun
/usr/sbin/groupdel gnokii >/dev/null 2>&1

%post xgnokii
%{update_menus}

%postun xgnokii
%{clean_menus}


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc Docs/CREDITS Docs/DataCalls-QuickStart Docs/FAQ Docs/README
%doc Docs/README-3810 Docs/README-6110 Docs/README-2110 Docs/README-WIN32
%doc Docs/gettext-howto Docs/gnokii.nol Docs/gnokii-ir-howto Docs/packaging-howto
%doc Docs/README-dancall Docs/logos.txt Docs/gnokii.xpm Docs/Bugs
%doc Docs/sample/gnokiirc Docs/sample/options Docs/sample/pap-secrets
%doc Docs/sample/ppp-gnokii Docs/sample/ppp-on
%doc Docs/protocol/nk2110.txt Docs/protocol/nk3110.txt Docs/protocol/nk6110.txt Docs/protocol/nk6160.txt
%doc Docs/protocol/nk6185.txt Docs/protocol/nk640.txt Docs/protocol/nk7110.txt Docs/protocol/nokia.txt
%_bindir/gnokii
%_sbindir/gnokiid
%_sbindir/mgnokiidev
%config(noreplace) %_sysconfdir/gnokiirc

%files xgnokii -f %name.lang
%defattr(-,root,root)
%_prefix/X11R6/bin/xgnokii
%_bindir/todologo
%_datadir/xgnokii
%_menudir/*
%_datadir/icons/*.png
%_datadir/icons/hicolor/16x16/apps/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/hicolor/48x48/apps/*.png
%_datadir/icons/hicolor/64x64/apps/*.png

%changelog
* Mon Feb 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-1mdk
- updated to 0.3.4 by andreapes@iol.it

* Mon Nov 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-2mdk
- from andreapes@iol.it :
	- add icons 

* Wed Oct 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- added by andreapes@iol.it

